<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/dataframe.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">dataframe.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="readcsv_8h_source.html">readcsv.h</a>&quot;</code><br />
<code>#include &lt;QString&gt;</code><br />
<code>#include &lt;QVector&gt;</code><br />
<code>#include &lt;regex&gt;</code><br />
<code>#include &lt;QDebug&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for dataframe.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="src_2dataframe_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2dataframe_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2dataframe_8cpp" id="aalat_za_analitiku_2src_2dataframe_8cpp">
<area shape="rect" title=" " alt="" coords="241,5,369,48"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="219,96,308,123"/>
<area shape="poly" title=" " alt="" coords="297,50,279,83,275,81,292,47"/>
<area shape="rect" title=" " alt="" coords="328,171,394,197"/>
<area shape="poly" title=" " alt="" coords="315,47,354,155,349,157,310,49"/>
<area shape="rect" title=" " alt="" coords="101,171,170,197"/>
<area shape="poly" title=" " alt="" coords="272,51,209,98,180,129,155,160,151,157,176,126,206,94,269,46"/>
<area shape="rect" href="readcsv_8h.html" title=" " alt="" coords="67,96,143,123"/>
<area shape="poly" title=" " alt="" coords="254,51,152,92,150,87,253,46"/>
<area shape="rect" title=" " alt="" coords="384,96,437,123"/>
<area shape="poly" title=" " alt="" coords="334,46,383,84,380,88,331,51"/>
<area shape="rect" title=" " alt="" coords="462,96,530,123"/>
<area shape="poly" title=" " alt="" coords="355,46,453,87,451,92,353,51"/>
<area shape="rect" title=" " alt="" coords="194,171,304,197"/>
<area shape="poly" title=" " alt="" coords="264,124,257,156,252,155,258,123"/>
<area shape="poly" title=" " alt="" coords="282,121,334,159,331,164,279,125"/>
<area shape="poly" title=" " alt="" coords="243,126,173,165,170,160,240,121"/>
<area shape="poly" title=" " alt="" coords="131,121,211,161,209,166,129,126"/>
<area shape="poly" title=" " alt="" coords="113,122,127,155,122,157,108,124"/>
<area shape="rect" title=" " alt="" coords="5,171,77,197"/>
<area shape="poly" title=" " alt="" coords="96,125,64,161,60,157,92,121"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1375c181d6bf9124166cfe488eceee3f" id="r_a1375c181d6bf9124166cfe488eceee3f"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1375c181d6bf9124166cfe488eceee3f">TYPEtoString</a> (<a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t)</td></tr>
<tr class="separator:a1375c181d6bf9124166cfe488eceee3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a894abb7136455df1eba0d5d9bd93bde4" id="r_a894abb7136455df1eba0d5d9bd93bde4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a894abb7136455df1eba0d5d9bd93bde4">isDateType</a> (const std::string &amp;s)</td></tr>
<tr class="separator:a894abb7136455df1eba0d5d9bd93bde4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60fabb1b215a922d6707af1c8c52dc96" id="r_a60fabb1b215a922d6707af1c8c52dc96"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a60fabb1b215a922d6707af1c8c52dc96">deductType</a> (QVector&lt; QString &gt; &amp;s)</td></tr>
<tr class="separator:a60fabb1b215a922d6707af1c8c52dc96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a60fabb1b215a922d6707af1c8c52dc96" name="a60fabb1b215a922d6707af1c8c52dc96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60fabb1b215a922d6707af1c8c52dc96">&#9670;&#160;</a></span>deductType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> deductType </td>
          <td>(</td>
          <td class="paramtype">QVector&lt; QString &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>s</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a894abb7136455df1eba0d5d9bd93bde4" name="a894abb7136455df1eba0d5d9bd93bde4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a894abb7136455df1eba0d5d9bd93bde4">&#9670;&#160;</a></span>isDateType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool isDateType </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;</td>          <td class="paramname"><span class="paramname"><em>s</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1375c181d6bf9124166cfe488eceee3f" name="a1375c181d6bf9124166cfe488eceee3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1375c181d6bf9124166cfe488eceee3f">&#9670;&#160;</a></span>TYPEtoString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString TYPEtoString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
